Nginx Proxy Manager installieren

Gemeinsam ins Internet mit Firewall und Proxy.
Antworten
Lockslay
Beiträge: 187
Registriert: 22.08.2002 17:51:19
Kontaktdaten:

Nginx Proxy Manager installieren

Beitrag von Lockslay » 14.12.2020 16:34:42

Hallo zusammen,


ich habe versucht auf meinem Rasbian OS einen Nginx Proxy Manager zu installieren.

Dazu habe ich unterschiedliche Anleitungen gefunden, diese sind aber fast alle gleich.


Ich habe diese verwendet:

https://www.wundertech.net/nginx-proxy- ... tructions/



Die Installation lief im grund bis zu diesem Befehl Problemlos durch.


Nach

sudo docker-compose up -d


kommt diese Monstermeldung:

Code: Alles auswählen

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.7/http/client.py", line 1244, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1290, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1239, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1026, in _send_output
self.send(msg)
File "/usr/lib/python3.7/http/client.py", line 966, in send
self.connect()
File "/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
ConnectionRefusedError: [Errno 111] Connection refused


During handling of the above exception, another exception occurred:


Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 367, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/lib/python3/dist-packages/six.py", line 692, in reraise
raise value.with_traceback(tb)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.7/http/client.py", line 1244, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1290, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1239, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.7/http/client.py", line 1026, in _send_output
self.send(msg)
File "/usr/lib/python3.7/http/client.py", line 966, in send
self.connect()
File "/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionRefusedError(111, 'Connection refused'))


During handling of the above exception, another exception occurred:


Traceback (most recent call last):
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 214, in _retrieve_server_version
return self.version(api_version=False)["ApiVersion"]
File "/usr/local/lib/python3.7/dist-packages/docker/api/daemon.py", line 181, in version
return self._result(self._get(url), json=True)
File "/usr/local/lib/python3.7/dist-packages/docker/utils/decorators.py", line 46, in inner
return f(self, *args, **kwargs)
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 237, in _get
return self.get(url, **self._set_request_timeout(kwargs))
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 546, in get
return self.request('GET', url, **kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 533, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 646, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionRefusedError(111, 'Connection refused'))


During handling of the above exception, another exception occurred:


Traceback (most recent call last):
File "/usr/local/bin/docker-compose", line 10, in <module>
sys.exit(main())
File "/usr/local/lib/python3.7/dist-packages/compose/cli/main.py", line 67, in main
command()
File "/usr/local/lib/python3.7/dist-packages/compose/cli/main.py", line 123, in perform_command
project = project_from_options('.', options)
File "/usr/local/lib/python3.7/dist-packages/compose/cli/command.py", line 69, in project_from_options
environment_file=environment_file
File "/usr/local/lib/python3.7/dist-packages/compose/cli/command.py", line 132, in get_project
verbose=verbose, version=api_version, context=context, environment=environment
File "/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py", line 43, in get_client
environment=environment, tls_version=get_tls_version(environment)
File "/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py", line 170, in docker_client
client = APIClient(**kwargs)
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 197, in __init__
self._version = self._retrieve_server_version()
File "/usr/local/lib/python3.7/dist-packages/docker/api/client.py", line 222, in _retrieve_server_version
'Error while fetching server API version: {0}'.format(e)
docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', ConnectionRefusedError(111, 'Connection refused'))

Code: Alles auswählen

Client:
Version:           18.09.1
API version:       1.39
Go version:        go1.11.6
Git commit:        4c52b90
Built:             Fri, 13 Sep 2019 10:45:43 +0100
OS/Arch:           linux/arm
Experimental:      false
Cannot connect to the Docker daemon at unix:///var/run/docker.sock. Is the docker daemon running?
Cannot connect to the Docker daemon at unix:///var/run/docker.sock. Is the docker daemon running?

Brauche ich hier offene Ports?

JTH
Beiträge: 835
Registriert: 13.08.2008 17:01:41

Re: Nginx Proxy Manager installieren

Beitrag von JTH » 14.12.2020 17:34:46

Vermutlich ist der wichtigste Part, der Docker-Daemon, nicht instaliert: Debiandocker.io. Wird in der Anleitung hilfreicherweise nicht erwähnt. Ich glaube nicht, dass docker-compose per pip installiert den nachzieht.

Du könntest Debiandocker-compose per apt, statt per pip installieren. Dann hast du (im „Normafall“ mit Recommends) den dockerd automatisch als Abhängigkeit mit dabei.

Lockslay
Beiträge: 187
Registriert: 22.08.2002 17:51:19
Kontaktdaten:

Re: Nginx Proxy Manager installieren

Beitrag von Lockslay » 14.12.2020 19:20:20

Hallo,

ich habe in einer VM Debian 10 installiert und wie gewünscht apt-get install docker-compose installiert.

Jetzt kommt aber:


docker-compose up -d
Starting nginx_db_1 ...
Starting nginx_app_1 ... error

ERROR: for nginx_app_1 Cannot start service app: driver failed programming external connectivity on endpoint nginx_app_1 (5bf2878684b75f4ef82c03e0f1daa64aff2b46f0ecc00f45cStarting nginx_db_1 ... error already in use

ERROR: for nginx_db_1 Cannot start service db: OCI runtime create failed: container_linux.go:370: starting container process caused: process_linux.go:459: container init caused: rootfs_linux.go:59: mounting "proc" to rootfs at "/proc" caused: permission denied: unknown

ERROR: for app Cannot start service app: driver failed programming external connectivity on endpoint nginx_app_1 (5bf2878684b75f4ef82c03e0f1daa64aff2b46f0ecc00f45c7ab65eb05a2ea20): Error starting userland proxy: listen tcp 0.0.0.0:80: bind: address already in use

ERROR: for db Cannot start service db: OCI runtime create failed: container_linux.go:370: starting container process caused: process_linux.go:459: container init caused: rootfs_linux.go:59: mounting "proc" to rootfs at "/proc" caused: permission denied: unknown
ERROR: Encountered errors while bringing up the project.
root@debiannginx:~/nginx#

Benutzeravatar
unitra
Beiträge: 499
Registriert: 15.06.2002 21:09:38
Lizenz eigener Beiträge: MIT Lizenz
Wohnort: Kölle

Re: Nginx Proxy Manager installieren

Beitrag von unitra » 19.12.2020 16:55:47

Der Socket ist bereits belegt. Auf dem Port 80, an allen lokalen Schnittstellen 0.0.0.0 läuft ein Dienst, vermutlich ein Webserver.
Die Lösung: die Dokumetation des Packetes, hier Proxy-Manager noch mal ganz genau durchzulesen
Lockslay hat geschrieben: ↑ zum Beitrag ↑
14.12.2020 19:20:20
Hallo,

ich habe in einer VM Debian 10 installiert und wie gewünscht apt-get install docker-compose installiert.

Jetzt kommt aber:


docker-compose up -d
Starting nginx_db_1 ...
Starting nginx_app_1 ... error
...
ERROR: for app Cannot start service app: driver failed programming external connectivity on endpoint nginx_app_1 (5bf2878684b75f4ef82c03e0f1daa64aff2b46f0ecc00f45c7ab65eb05a2ea20): Error starting userland proxy: listen tcp 0.0.0.0:80: bind: address already in use
...
root@debiannginx:~/nginx#

Antworten